import java.io.*;
import omero.*;
import omero.api.*;
import omero.grid.*;
import omero.model.*;
import static omero.rtypes.*;

public class down {
    public static void main(String[] args) throws Exception {
        client c = new client();
        try {
            ServiceFactoryPrx sf = c.createSession();
            SharedResourcesPrx sr = sf.sharedResources();
            TablePrx table = sr.newTable(1, "test.h5");

            if (table == null) {
                throw new RuntimeException("Null table");
            }

            OriginalFile file = null;
            try {
                file = table.getOriginalFile();
                LongColumn lc = new LongColumn("a1","desc",new long[]{1l});
                table.initialize(new Column[]{lc});
                table.addData(new Column[]{lc});
            } finally {
                table.close();
            }

            if (file == null) {
                throw new RuntimeException("Null file");
            }

            c.download(file.getId().getValue(), new File("test.h5"));

        } finally {
            c.closeSession();
        }
    }
}
